summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndré Fabian Silva Delgado <emulatorman@parabola.nu>2013-10-20 01:41:11 -0200
committerAndré Fabian Silva Delgado <emulatorman@parabola.nu>2013-10-20 01:41:11 -0200
commitc46cfdc13303f59c9a67726665098f1788f56d4e (patch)
tree3bae33d1f94400972e93399d183565a0c4225323
parent81780a4bc7f219efaed9b01806a176646ef1479b (diff)
parent673c5f81c64f9a9757f009bddddc5f4ab230e4b4 (diff)
downloadabslibre-c46cfdc13303f59c9a67726665098f1788f56d4e.tar.gz
abslibre-c46cfdc13303f59c9a67726665098f1788f56d4e.tar.bz2
abslibre-c46cfdc13303f59c9a67726665098f1788f56d4e.zip
Merge branch 'master' of ssh://projects.parabolagnulinux.org:1863/srv/git/abslibre
-rw-r--r--pcr/mathjax/PKGBUILD10
-rw-r--r--pcr/plowshare/PKGBUILD4
-rw-r--r--pcr/ttf-asana-math/PKGBUILD14
-rw-r--r--pcr/xchat-otr/PKGBUILD31
-rw-r--r--pcr/youtube-dl-current/PKGBUILD4
5 files changed, 46 insertions, 17 deletions
diff --git a/pcr/mathjax/PKGBUILD b/pcr/mathjax/PKGBUILD
index 47f581fa1..779aa5a74 100644
--- a/pcr/mathjax/PKGBUILD
+++ b/pcr/mathjax/PKGBUILD
@@ -3,19 +3,17 @@
#taken from https://aur.archlinux.org/packages/mathjax/
pkgname=mathjax
-pkgver=2.1
-pkgrel=1
+pkgver=2.2
+pkgrel=2
pkgdesc='An open source JavaScript display engine for mathematics that works in all modern browsers'
url='http://www.mathjax.org/'
arch=('any')
license=('apache')
options=('!strip')
-source=('https://github.com/mathjax/MathJax/archive/v2.1.tar.gz')
+source=('https://github.com/mathjax/MathJax/archive/v2.2.tar.gz')
build() {
mkdir -p $pkgdir/usr/share
mv $srcdir/MathJax-* $pkgdir/usr/share/mathjax
}
-
-
-md5sums=('8e7ad1b8f3a69be8ec83f21d3e2a509c')
+md5sums=('9e3ace5d926be939befb9bc79138a6f8')
diff --git a/pcr/plowshare/PKGBUILD b/pcr/plowshare/PKGBUILD
index 3076b779e..608e13ccf 100644
--- a/pcr/plowshare/PKGBUILD
+++ b/pcr/plowshare/PKGBUILD
@@ -2,7 +2,7 @@
# Contributor: breakdown <breakdown(at)archlinux(dot)us>
pkgname=plowshare
-pkgver=snapshot_git20130901.1c5013f
+pkgver=snapshot_git20131009.5e55a9b
pkgrel=1
pkgdesc="Command-line downloader and uploader for Rapidshare, Mediafire and other file sharing websites."
arch=('any')
@@ -15,7 +15,6 @@ optdepends=('bash-completion: enable bash auto completion'
'aview: ascii display for no X server')
conflicts=("$pkgname-git")
source=("http://$pkgname.googlecode.com/files/${pkgname}4-${pkgver/_/-}.tar.gz")
-md5sums=('c5fe40d79dea2cf02ba534c9a0ea9680')
package() {
cd "$srcdir/${pkgname}4-${pkgver/_/-}"
@@ -32,3 +31,4 @@ package() {
}
# vim:set ts=2 sw=2 et:
+md5sums=('cfecd42bf22712f4c410d88c9aa9cf0c')
diff --git a/pcr/ttf-asana-math/PKGBUILD b/pcr/ttf-asana-math/PKGBUILD
index b8bd85dcc..8b0169d83 100644
--- a/pcr/ttf-asana-math/PKGBUILD
+++ b/pcr/ttf-asana-math/PKGBUILD
@@ -1,10 +1,10 @@
-# Maintainer (Arch): GordonGR <gordongr@freemail.gr>
+# Maintainer: GordonGR <gordongr@freemail.gr>
# Maintainer (Parabola): Alon Ivtsan <alonivtsan@lavabit.com>
# taken from https://aur.archlinux.org/packages/ttf-asana-math/
pkgname=ttf-asana-math
-pkgver=000.949
-pkgrel=1
+pkgver=000.951
+pkgrel=2
license=('Custom: OFL')
depends=('fontconfig' 'xorg-font-utils')
pkgdesc="A font to typeset maths in Xe(La)TeX and Lua(La)TeX by Apostolos Syropoulos"
@@ -13,12 +13,9 @@ url="http://www.ctan.org/pkg/asana-math"
source=("ftp://ftp.rrzn.uni-hannover.de/pub/mirror/tex-archive/fonts/Asana-Math/Asana-Math.otf"
"ftp://ftp.rrzn.uni-hannover.de/pub/mirror/tex-archive/fonts/Asana-Math/Asana-Math.ttf"
"http://scripts.sil.org/cms/scripts/render_download.php?&format=file&media_id=OFL_plaintext&filename=OFL.txt")
-md5sums=('d9f9faa296a12a14354d9e83c90f167b'
- 'd7a05892aeed8bbe4b410bf845ce9882'
- '6ed93967ff0dc6dd9c8d31c17f817a06')
install=$pkgname.install
-build()
+package()
{
mkdir -p $pkgdir/usr/share/fonts/TTF
mkdir -p $pkgdir/usr/share/fonts/OTF
@@ -28,3 +25,6 @@ build()
mv 'render_download.php?&format=file&media_id=OFL_plaintext&filename=OFL.txt' LICENSE
cp LICENSE $pkgdir/usr/share/licenses/custom/ttf-asana-math/
}
+md5sums=('d9f9faa296a12a14354d9e83c90f167b'
+ 'd7a05892aeed8bbe4b410bf845ce9882'
+ '6ed93967ff0dc6dd9c8d31c17f817a06')
diff --git a/pcr/xchat-otr/PKGBUILD b/pcr/xchat-otr/PKGBUILD
new file mode 100644
index 000000000..7bc6e8c41
--- /dev/null
+++ b/pcr/xchat-otr/PKGBUILD
@@ -0,0 +1,31 @@
+# Contributor: Tom <tomgparchaur@gmail.com>
+# Based on a quantax contribution for irssi-otr
+
+pkgname=xchat-otr
+pkgver=0.3
+pkgrel=2
+pkgdesc="Off-the-Record Messaging (OTR) plugin for the XChat IRC client"
+arch=('i686' 'x86_64')
+url="http://irssi-otr.tuxfamily.org/"
+license=('GPL')
+depends=('xchat' 'libotr3')
+makedepends=('cmake' 'pkgconfig' 'python')
+source=("ftp://download.tuxfamily.org/irssiotr/${pkgname}-${pkgver}.tar.gz"
+ 'http://xchat.org/docs/xchat-plugin.h')
+
+build() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+ mkdir -p ${srcdir}/${pkgname}-${pkgver}/xchat
+ install -m 644 ${srcdir}/xchat-plugin.h ${srcdir}/${pkgname}-${pkgver}/xchat/ || return 1
+ find ${srcdir}/${pkgname}-${pkgver} -type f -print0 | xargs -0 sed -i 's@libotr/@libotr3/@g'
+ cmake -DXCHAT_INCLUDE_DIR=${srcdir}/${pkgname}-${pkgver} -DCMAKE_INSTALL_PREFIX=/usr . -DLIBOTR_LIBRARY=/usr/lib/libotr3.so
+ make || return 1
+ make DESTDIR=${pkgdir} install || return 1
+ mv ${pkgdir}/usr/share/doc/irssi-otr ${pkgdir}/usr/share/doc/xchat-otr || return 1
+ install -m 644 ${srcdir}/${pkgname}-${pkgver}/README.xchat ${pkgdir}/usr/share/doc/xchat-otr || return 1
+ rm ${pkgdir}/usr/share/doc/xchat-otr/LICENSE || return 1
+}
+
+md5sums=('49706959af491c721a8a5a62bd224670'
+ '5ee7da5abedc78a30b90e737370d8f0b')
+
diff --git a/pcr/youtube-dl-current/PKGBUILD b/pcr/youtube-dl-current/PKGBUILD
index ce9708ba7..1cb5b8405 100644
--- a/pcr/youtube-dl-current/PKGBUILD
+++ b/pcr/youtube-dl-current/PKGBUILD
@@ -5,7 +5,7 @@
pkgname=youtube-dl-current
_pkgname=youtube-dl
provides=(youtube-dl)
-pkgver=2013.10.17
+pkgver=2013.10.18.2
pkgrel=1
pkgdesc="A small command-line program to download videos from YouTube.com and a few more sites"
arch=('any')
@@ -27,5 +27,5 @@ package() {
"${pkgdir}/usr/share/bash-completion/completions/youtube-dl"
install -Dm644 LICENSE "${pkgdir}/usr/share/licenses/${_pkgname}/LICENSE"
}
-md5sums=('5bcd7a5d20387a6dfd985f4a77dbe26d'
+md5sums=('dd86912d1bf1a7a550df06e59c436063'
'SKIP')